## gs-desktop-data gs-desktop-data |

## Functions

const GsDesktopData * | gs_desktop_get_data ()

## Types and Values

| GsDesktopMap
| GsDesktopData
#define | GS_DESKTOP_DATA_N_ENTRIES

## Description

## Functions

### gs_desktop_get_data ()

    const GsDesktopData *
    gs_desktop_get_data (void);

## Types and Values

### GsDesktopMap

    typedef struct {
    	const gchar *id;
    	const gchar *name;
    	const gchar *fdo_cats[16];
    } GsDesktopMap;

### GsDesktopData

    typedef struct {
    	const gchar *id;
    	const GsDesktopMap *mapping;
    	const gchar *name;
    	const gchar *icon;
    	gint		 score;
    } GsDesktopData;

### GS_DESKTOP_DATA_N_ENTRIES

    #define GS_DESKTOP_DATA_N_ENTRIES 12

Number of entries in the array returned by `gs_desktop_get_data()`. This is static and guaranteed to be up to date. It’s intended to be used when defining static arrays which need to be the same size as the array returned by `gs_desktop_get_data()`.

Since: 40